package com.tzld.piaoquan.growth.common.common.enums;

import lombok.Getter;

/**
 * 异常
 *
 * @author xueyiming
 */
@Getter
public enum ExceptionCodeEnum {
    /**
     * 自定义异常信息
     */
    SYSTEM_ERROR(500, "系统错误"),
    PARAMS_ERROR(400, "参数错误")
    ;

    private final int code;
    private final String msg;

    ExceptionCodeEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

}
